VSTGUI: VSTGUI::Layouting Namespace Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Classes | Typedefs | Enumerations | Functions
VSTGUI::Layouting Namespace Reference

## Classes
class | AutoLayout
| An auto layout feature for the CRowColumnView. More...

## Typedefs
using | CRects = std::vector< CRect >

## Enumerations
enum class | Alignment { kTopLeft , kTopCenter , kTopRight , kMiddleLeft , kMiddleCenter , kMiddleRight , kBottomLeft , kBottomCenter , kBottomRight }
enum class | Style { kRow , kColumn }

## Functions
Alignment | translate (const CRowColumnView::LayoutStyle layoutStyle)
Style | translate (const CRowColumnView::Style style)
CPoint | computeRectOffset (const CPoint &parent, const CPoint &rect, const Alignment alignment)
CRect | computeGroupRect (const CRect &parent, const CRects &children, const Alignment alignment, const Style style, double spacing)
CRect | computeGroupRect (const CViewContainer &parent, const Alignment alignment, const Style style, const double spacing)

## Typedef Documentation

## ◆ CRects

using CRects = std::vector<CRect>

## Enumeration Type Documentation

## ◆ Alignment

enum class Alignment
| strong

Enumerator
kTopLeft |
kTopCenter |
kTopRight |
kMiddleLeft |
kMiddleCenter |
kMiddleRight |
kBottomLeft |
kBottomCenter |
kBottomRight |

## ◆ Style

enum class Style
| strong

Enumerator
kRow |
kColumn |

## Function Documentation

## ◆ computeGroupRect() [1/2]

CRect VSTGUI::Layouting::computeGroupRect | ( | const CRect & | parent,
|  | const CRects & | children,
|  | const Alignment | alignment,
|  | const Style | style,
|  | double | spacing
| ) |  |

## ◆ computeGroupRect() [2/2]

CRect VSTGUI::Layouting::computeGroupRect | ( | const CViewContainer & | parent,
|  | const Alignment | alignment,
|  | const Style | style,
|  | const double | spacing
| ) |  |

## ◆ computeRectOffset()

CPoint VSTGUI::Layouting::computeRectOffset | ( | const CPoint & | parent,
|  | const CPoint & | rect,
|  | const Alignment | alignment
| ) |  |

## ◆ translate() [1/2]

Alignment VSTGUI::Layouting::translate | ( | const CRowColumnView::LayoutStyle | layoutStyle | ) |

## ◆ translate() [2/2]

Style VSTGUI::Layouting::translate | ( | const CRowColumnView::Style | style | ) |